{% extends "base.html" %}

{% load i18n %}
{% load static %}

{% block title %}Paperwork - GNU/Linux{% endblock %}

{% block extra_headers %}
<style>
table {
	margin-bottom: 100px;
}

table, table td {
	border: 1px solid black;
}

pre {
	color: #cccccc;
	background-color: black;
	padding: 20px;
	border-radius: 15px;
}

h2 {
	margin-top: 40px;
}

.comment {
	color: gray;
}
</style>
{% endblock %}

{% block body %}
<h1>{% trans "Paperwork installation on GNU/Linux" %}</h1>

{% blocktrans %}
<p>
There are many ways to install Paperwork on GNU/Linux, each with its own pros
and cons.
</p>
{% endblocktrans %}

<table>
	<tr>
		<td></td>
		<td>{% trans "Automatic updates" %}</td>
		<td>{% trans "Scanner support" %}</td>
		<td>{% trans "Fresh from OpenPaper" %}</td>
		<td>{% trans "Reviewed" %}</td>
		<td>{% trans "Difficulty" %}</td>
	</tr>
	<tr>
		<td>
			<a href="#distribution">{% trans "Distribution specific" %}</a>
			{% trans "(recommended)" %}
			<ul>
				<li><a href="#archlinux">
					<img src="{% static "archlinux.png" %}" width="12" height="12" />
					Arch Linux
				</a></li>
				<li><a href="#debian">
					<img src="{% static "debian.png" %}" width="10" height="12" />
					Debian /
					<img src="{% static "ubuntu.png" %}" width="12" height="12" />
					Ubuntu
				</a></li>
				<li><a href="#fedora">
					<img src="{% static "fedora.png" %}" width="12" height="12" />
					Fedora
				</a></li>
				<li><a href="#gentoo">
					<img src="{% static "gentoo.png" %}" width="12" height="12" />
					Gentoo
				</a></li>
			</ul>
		</td>
		<td><center><img alt="{% trans "yes" %}" src="{% static "checkbox-checked-symbolic.symbolic.png" %}" /></center></td>
		<td><center>
			<img title="USB" alt="{% trans "local" %}" src="{% static "drive-harddisk-usb-symbolic.symbolic.png" %}" />
			<img title="Wired network" alt="{% trans "wired" %}" src="{% static "network-wired-symbolic.symbolic.png" %}" />
			<img title="WiFi" alt="{% trans "wifi" %}" src="{% static "network-wireless-symbolic.symbolic.png" %}" />
		</center></td>
		<td><center><img alt="{% trans "no" %}" src="{% static "checkbox-symbolic.symbolic.png" %}" /></center></td>
		<td><center><img alt="{% trans "yes" %}" src="{% static "checkbox-checked-symbolic.symbolic.png" %}" /></center></td>
		<td><center>{% trans "easy" %}</center></td>
	</tr>
	<tr>
		<td><a href="#openpaper_flatpak">
			<img src="{% static "flatpak.png" %}" width="12" height="12" />
			{% trans "OpenPaper's Flatpak repository" %}
		</a></td>
		<td><center><img alt="{% trans "yes" %}" src="{% static "checkbox-checked-symbolic.symbolic.png" %}" /></center></td>
		<td><center><img title="USB" alt="{% trans "local only" %}" src="{% static "drive-harddisk-usb-symbolic.symbolic.png" %}" /></center></td>
		<td><center><img alt="{% trans "yes" %}" src="{% static "checkbox-checked-symbolic.symbolic.png" %}" /></center></td>
		<td><center><img alt="{% trans "no" %}" src="{% static "checkbox-symbolic.symbolic.png" %}" /></center></td>
		<td><center>{% trans "medium" %}</center></td>
	</tr>
	<tr>
		<td><a href="#flathub_flatpak">
			<img src="{% static "flatpak.png" %}" width="12" height="12" />
			{% trans "Flathub's Flatpak repository" %}
		</a></td>
		<td><center><img alt="{% trans "yes" %}" src="{% static "checkbox-checked-symbolic.symbolic.png" %}" /></center></td>
		<td><center><img title="USB" alt="{% trans "local only" %}" src="{% static "drive-harddisk-usb-symbolic.symbolic.png" %}" /></center></td>
		<td><center><img alt="{% trans "no" %}" src="{% static "checkbox-symbolic.symbolic.png" %}" /></center></td>
		<td><center><img alt="{% trans "no" %}" src="{% static "checkbox-symbolic.symbolic.png" %}" /></center></td>
		<td><center>{% trans "medium" %}</center></td>
	</tr>
	<tr>
		<td><a href="#appimage">
			<img src="{% static "appimage.png" %}" width="12" height="12" />
			AppImage
		</a></td>
		<td><center><img alt="{% trans "no" %}" src="{% static "checkbox-symbolic.symbolic.png" %}" /></center></td>
		<td><center>
			<img title="USB" alt="{% trans "local" %}" src="{% static "drive-harddisk-usb-symbolic.symbolic.png" %}" />
			<img title="Wired Network" alt="{% trans "wired" %}" src="{% static "network-wired-symbolic.symbolic.png" %}" />
			<img title="WiFi" alt="{% trans "wifi" %}" src="{% static "network-wireless-symbolic.symbolic.png" %}" />
		</center></td>
		<td><center><img alt="{% trans "yes" %}" src="{% static "checkbox-checked-symbolic.symbolic.png" %}" /></center></td>
		<td><center><img alt="{% trans "no" %}" src="{% static "checkbox-symbolic.symbolic.png" %}" /></center></td>
		<td><center>{% trans "medium" %}</center></td>
	</tr>
	<tr>
		<td><a href="#source">
				{% trans "From source code" %}
		</a></td>
		<td><center><img alt="{% trans "no" %}" src="{% static "checkbox-symbolic.symbolic.png" %}" /></center></td>
		<td><center>
			<img alt="{% trans "local" %}" src="{% static "drive-harddisk-usb-symbolic.symbolic.png" %}" />
			<img alt="{% trans "wired" %}" src="{% static "network-wired-symbolic.symbolic.png" %}" />
			<img alt="{% trans "wifi" %}" src="{% static "network-wireless-symbolic.symbolic.png" %}" />
		</center></td>
		<td><center><img alt="{% trans "yes" %}" src="{% static "checkbox-checked-symbolic.symbolic.png" %}" /></center></td>
		<td><center><img alt="{% trans "no" %}" src="{% static "checkbox-symbolic.symbolic.png" %}" /></center></td>
		<td><center>{% trans "hard" %}</center></td>
	</tr>
</table>

<h2 id="distribution">{% trans "Distribution specific" %}</h2>

{% blocktrans %}
<p>This is the preferred method of installation.</p>

<p>Distribution packages are reviewed and tested by your distribution
maintainers. Unfortunately, by the time the packages are pushed in your
distribution, they usually are fairly old versions. Currently, the
latest version of Paperwork is {{ latest_paperwork_version }}.</p>
{% endblocktrans %}

<h3 id="archlinux">Arch Linux</h3>

<pre>
<span class="comment"># {% trans "Installation" %}</span>
pacman -S paperwork
paperwork-gtk chkdeps

<span class="comment"># {% trans "Usage" %}</span>
<span class="comment"># {% trans "For the graphical user interface" %}</span>
paperwork-gtk
<span class="comment"># {% trans "For the command line interface" %}</span>
paperwork-cli
paperwork-json
</pre>


<h3 id="debian">Debian / Ubuntu</h3>

<pre>
<span class="comment"># {% trans "Installation" %}</span>
sudo apt install paperwork-gtk paperwork-gtk-l10n-[your lang] paperwork-shell

<span class="comment"># {% trans "Usage" %}</span>
<span class="comment"># {% trans "For the graphical user interface" %}</span>
paperwork-gtk
<span class="comment"># {% trans "For the command line interface" %}</span>
paperwork-cli
paperwork-json
</pre>


<h3 id="fedora">Fedora</h3>

<pre>
<span class="comment"># {% trans "Installation" %}</span>
sudo dnf install paperwork
paperwork-gtk chkdeps

<span class="comment"># {% trans "Usage" %}</span>
<span class="comment"># {% trans "For the graphical user interface" %}</span>
paperwork-gtk
<span class="comment"># {% trans "For the command line interface" %}</span>
paperwork-cli
paperwork-json
</pre>


<h3 id="gentoo">Gentoo</h3>

<pre>
<span class="comment"># {% trans "Installation" %}</span>
sudo emerge paperwork
paperwork-gtk chkdeps

<span class="comment"># {% trans "Usage" %}</span>
<span class="comment"># {% trans "For the graphical user interface" %}</span>
paperwork-gtk
<span class="comment"># {% trans "For the command line interface" %}</span>
paperwork-cli
paperwork-json
</pre>

<h2 id="openpaper_flatpak">{% trans "OpenPaper's Flatpak repository" %}</h2>

{% blocktrans %}
<p>
OpenPaper's Flatpak repository provides the latest stable
version of Paperwork. It includes some extra bugfixes added later.
It comes straigth from Paperwork's developers.
</p>

<p>
Unfortunately, due to containerization, it cannot be used with network
scanners yet. Using it with local scanners may require a bit of tweaking.
</p>
{% endblocktrans %}

<pre>
<span class="comment"># {% trans "Installation" %}</span>
sudo apt install flatpak gnome-software-plugin-flatpak
flatpak --user install https://builder.openpaper.work/paperwork_master.flatpakref

<span class="comment"># {% trans "Usage" %}</span>
flatpak run work.openpaper.Paperwork
</pre>

<p><a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork/-/blob/develop/doc/install.flatpak.markdown">{% trans "[More information]" %}</a></p>


<h2 id="flathub_flatpak">{% trans "Flathub's Flatpak repository" %}</h2>

{% blocktrans %}
<p>
Similar to OpenPaper's Flatpak repository, Paperwork is also available
on Flathub.
</p>
<p>
The version on Flathub is always the latest release, without any changes.
It has identical limitations to one in the OpenPaper's Flatpak repository.
</p>
{% endblocktrans %}

<pre>
<span class="comment"># {% trans "Installation" %}</span>
sudo apt install flatpak gnome-software-plugin-flatpak
flatpak --user install https://dl.flathub.org/repo/appstream/work.openpaper.Paperwork.flatpakref

<span class="comment"># {% trans "Usage" %}</span>
flatpak run work.openpaper.Paperwork
</pre>

<p><a href="https://flathub.org/apps/details/work.openpaper.Paperwork">{% trans "[More information]" %}</a></p>


<h2 id="appimage">AppImage</h2>

{% blocktrans %}
<p>
The AppImage version of Paperwork is a portable version.
</p>

<p>
It is rebuilt after each new release of Paperwork and after every new bug fix.
While it doesn't have the Flatpak versions' limitations, it won't be updated
automatically. Paperwork can tell you when a new release is available, but it
is up to you to update it.
</p>

<p>
The graphical interface (<code>paperwork-gtk</code>) and the command line
interface (<code>paperwork-cli</code>) are packaged separately.
</p>
{% endblocktrans %}

<h3>{% trans "Graphical User Interface" %}</h3>

<pre>
<span class="comment"># {% trans "Installation" %}</span>
sudo apt install libfuse2t64  # Ubuntu ≥24.04
url=https://download.openpaper.work/linux/amd64/paperwork-gtk-master-latest.appimage
curl ${url} -o paperwork-gtk.appimage
chmod +x ./paperwork-gtk.appimage
./paperwork-gtk.appimage chkdeps

<span class="comment"># {% trans "Usage" %}</span>
./paperwork-gtk.appimage
</pre>

<h3>{% trans "Command Line Interface" %}</h3>

<pre>
<span class="comment"># {% trans "Installation" %}</span>
sudo apt install libfuse2t64  # Ubuntu ≥24.04

url=https://download.openpaper.work/linux/amd64/paperwork-cli-master-latest.appimage
curl ${url} -o paperwork-cli.appimage
chmod +x ./paperwork-cli.appimage
./paperwork-cli.appimage chkdeps

url=https://download.openpaper.work/linux/amd64/paperwork-json-master-latest.appimage
curl ${url} -o paperwork-json.appimage
chmod +x ./paperwork-json.appimage
./paperwork-json.appimage chkdeps

<span class="comment"># {% trans "Usage" %}</span>
./paperwork-cli.appimage
./paperwork-json.appimage
</pre>


<h2 id="source">{% trans "From source code" %}</h2>

{% blocktrans %}
<p>
This installation method is meant mainly for people who want to contribute
to Paperwork development.
</p>
{% endblocktrans %}

<p><a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork/-/blob/develop/doc/install.devel.markdown">{% trans "[More information]" %}</a></p>
{% endblock %}
